from datetime import datetime

from src.db.models.media import MediaActor
from pydantic import BaseModel


class MediaActorResponse(BaseModel):
    id: str
    name: str | None
    url: str

class Actor(BaseModel):
    name: str | None
    url: str

def get_actor_details(media_actor: MediaActor) -> MediaActorResponse:
    reponse: MediaActorResponse = MediaActorResponse(id=media_actor.id, name=str(media_actor.name), url=str(media_actor.url))
    return reponse
